drop proc SH_FLAGRECEPCION
go
create proc SH_FLAGRECEPCION
@SITEID UD_IDSITE,
@IDTABLE ud_TABLEID,
@fechaproceso ud_fecha,
@usuario ud_userid,
@filename UD_DESCRIPCION
as

begin tran

	insert into sh_receptionS (SITEID,TABLEID,DATEPROCE,USERID,filename  ) 
	values (@SITEID,@IDTABLE,@fechaproceso,@usuario,@filename )

	IF (@@error!=0)
	   BEGIN
	        RAISERROR  20001 'no se puede grabar registro de recepcion'
	        ROLLBACK TRAN
	        RETURN(2)
	    END

    COMMIT TRAN
    RETURN(0)
go

SH_FLAGRECEPCION '57','023','20030205','SYSADMIN','xx'

SELECT * FROM SH_RECEPTIONS